=== debian/changelog ===
ros-galactic-domain-bridge (0.4.0-2focal) focal; urgency=high

  * Make some end to end tests more reliable (#51 <https://github.com/ros2/domain_bridge/issues/51>)
  * Install CLI parsing header (#45 <https://github.com/ros2/domain_bridge/issues/45>)
  * Run communication-related tests with all available RMWs (#43 <https://github.com/ros2/domain_bridge/issues/43>)
  * Fix bug when waiting for service to be available (#42 <https://github.com/ros2/domain_bridge/issues/42>) (#55 <https://github.com/ros2/domain_bridge/issues/55>)
  * Update CI to target Galactic (#37 <https://github.com/ros2/domain_bridge/issues/37>)
  * Add --mode argument to domain_bridge (#35 <https://github.com/ros2/domain_bridge/issues/35>)
  * Add template method to help bridging services (#26 <https://github.com/ros2/domain_bridge/issues/26>)
  * Fix library target install (#36 <https://github.com/ros2/domain_bridge/issues/36>)
  * Update CI workflow (#34 <https://github.com/ros2/domain_bridge/issues/34>)
  * Prevent bridging from/to same domain ID (#33 <https://github.com/ros2/domain_bridge/issues/33>)
  * RTI QoS profiles patch (#25 <https://github.com/ros2/domain_bridge/issues/25>)
    * Add option to run callback before creating new Domain
    * Add a domain_bridge executable that allows to load an RTI qos profile before creating a new domain  participant
  * Add compressing and decompressing modes (#24 <https://github.com/ros2/domain_bridge/issues/24>)
  * Refactor to use generic pub/sub from rclcpp (#30 <https://github.com/ros2/domain_bridge/issues/30>)
  * Fix bug in generic subscription (#27 <https://github.com/ros2/domain_bridge/issues/27>)
  * Contributors: Ivan Santiago Paunovic, Jacob Perron, Rebecca Butler

 -- Jacob Perron <jacob@openrobotics.org>  Fri, 22 Oct 2021 07:00:00 -0000

ros-galactic-domain-bridge (0.3.0-2focal) focal; urgency=high

  * Override handle_serialized_message (#21 <https://github.com/ros2/domain_bridge/issues/21>)
  * Do not crash if there's an error querying endpoint info (#20 <https://github.com/ros2/domain_bridge/issues/20>)
  * Add topic remapping (#19 <https://github.com/ros2/domain_bridge/issues/19>)
  * Fix doc link in readme (#18 <https://github.com/ros2/domain_bridge/issues/18>)
  * Contributors: Chris Lalancette, Jacob Perron, Tully Foote

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 20 May 2021 07:00:00 -0000

ros-galactic-domain-bridge (0.2.0-2focal) focal; urgency=high

  * Stop installing test resources (#17 <https://github.com/ros2/domain_bridge/issues/17>)
  * Add explicit link against stdc++fs (#16 <https://github.com/ros2/domain_bridge/issues/16>)
  * Contributors: Scott K Logan

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 08 Apr 2021 07:00:00 -0000

ros-galactic-domain-bridge (0.1.0-2focal) focal; urgency=high

  * Change default value of deadline and lifespan (#15 <https://github.com/ros2/domain_bridge/issues/15>)
  * Include rclcpp from-source in CI
  * Add missing test dependency
  * Add QoS overriding
  * Add launch file (#9 <https://github.com/ros2/domain_bridge/issues/9>)
  * Ignore generated Python files (#12 <https://github.com/ros2/domain_bridge/issues/12>)
  * Add '--from' and '--to' options to executable + add tests (#7 <https://github.com/ros2/domain_bridge/issues/7>)
  * Automatically match QoS settings across the bridge (#5 <https://github.com/ros2/domain_bridge/issues/5>)
  * Refactor YAML parsing and allow default domain IDs (#6 <https://github.com/ros2/domain_bridge/issues/6>)
  * Support for configuring domain bridge with YAML (#4 <https://github.com/ros2/domain_bridge/issues/4>)
  * Fix topic bridge less operator (#3 <https://github.com/ros2/domain_bridge/issues/3>)
  * Add GitHub workflow for CI
  * Add unit tests
  * Add domain bridge library (#1 <https://github.com/ros2/domain_bridge/issues/1>)
  * Contributors: Jacob Perron

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 05 Apr 2021 07:00:00 -0000
