=== debian/control ===
Source: ros-galactic-domain-bridge
Section: misc
Priority: optional
Maintainer: Jacob Perron <jacob@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libyaml-cpp-dev, ros-galactic-ament-cmake, ros-galactic-ament-cmake-gmock, ros-galactic-ament-lint-auto, ros-galactic-ament-lint-common, ros-galactic-example-interfaces, ros-galactic-launch, ros-galactic-launch-testing, ros-galactic-launch-testing-ament-cmake, ros-galactic-rclcpp, ros-galactic-rcutils, ros-galactic-rmw-connextdds, ros-galactic-rmw-cyclonedds-cpp, ros-galactic-rmw-fastrtps-cpp, ros-galactic-rmw-implementation-cmake, ros-galactic-rosbag2-cpp, ros-galactic-rosidl-default-generators, ros-galactic-rosidl-typesupport-cpp, ros-galactic-test-msgs, ros-galactic-zstd-vendor, ros-galactic-ros-workspace, ros-galactic-rosidl-typesupport-fastrtps-c, ros-galactic-rosidl-typesupport-fastrtps-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-galactic-domain-bridge
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libyaml-cpp-dev, ros-galactic-rclcpp, ros-galactic-rcutils, ros-galactic-rosbag2-cpp, ros-galactic-rosidl-default-runtime, ros-galactic-rosidl-typesupport-cpp, ros-galactic-zstd-vendor, ros-galactic-ros-workspace
Description: ROS 2 Domain Bridge
